#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityTouchingFishLevelRewardData
{
	//等级
	int mID;
	//普通奖励物品
	std::vector<int> mNorItem;
	//普通奖励数量
	std::vector<int> mNorCount;
	//进阶奖励物品
	std::vector<int> mAdvItem;
	//进阶奖励数量
	std::vector<int> mAdvCount;
};

class M_ActivityTouchingFishLevelReward
{
public:
private:
	static std::auto_ptr<M_ActivityTouchingFishLevelReward> msSingleton;
public:
	int GetCount();
	const M_ActivityTouchingFishLevelRewardData* GetData(int ID);
	boost::unordered_map<int, M_ActivityTouchingFishLevelRewardData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityTouchingFishLevelReward* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityTouchingFishLevelRewardData> mMapData;
};
